package com.service;

import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.service.IService;
import com.utils.PageUtils;
import com.entity.XubaotongzhiEntity;
import java.util.List;
import java.util.Map;
import com.entity.vo.XubaotongzhiVO;
import org.apache.ibatis.annotations.Param;
import com.entity.view.XubaotongzhiView;


/**
 * 续保通知
 *
 * @author 
 * @email 
 * @date 2030-03-20 23:07:14
 */
public interface XubaotongzhiService extends IService<XubaotongzhiEntity> {

    PageUtils queryPage(Map<String, Object> params);
    
   	List<XubaotongzhiVO> selectListVO(Wrapper<XubaotongzhiEntity> wrapper);
   	
   	XubaotongzhiVO selectVO(@Param("ew") Wrapper<XubaotongzhiEntity> wrapper);
   	
   	List<XubaotongzhiView> selectListView(Wrapper<XubaotongzhiEntity> wrapper);
   	
   	XubaotongzhiView selectView(@Param("ew") Wrapper<XubaotongzhiEntity> wrapper);
   	
   	PageUtils queryPage(Map<String, Object> params,Wrapper<XubaotongzhiEntity> wrapper);

   	

    List<Map<String, Object>> selectValue(Map<String, Object> params,Wrapper<XubaotongzhiEntity> wrapper);

    List<Map<String, Object>> selectTimeStatValue(Map<String, Object> params,Wrapper<XubaotongzhiEntity> wrapper);

    List<Map<String, Object>> selectGroup(Map<String, Object> params,Wrapper<XubaotongzhiEntity> wrapper);



}

